//
//  ZEditDocumentController.m
//  ZEdit
//
//  Created by 増田 勇樹 on 07/02/22.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "ZEditDocumentController.h"

@implementation ZEditDocumentController
- (int)runModalOpenPanel:(NSOpenPanel *)openPanel forTypes:(NSArray *)extensions
{
	[openPanel setCanChooseDirectories:YES];
	[openPanel setCanCreateDirectories:YES];
	return [super runModalOpenPanel:openPanel forTypes:extensions];
}

- (NSString *)typeForContentsOfURL:(NSURL *)inAbsoluteURL error:(NSError **)outError
{
	NSString *path = [inAbsoluteURL path];
	BOOL isDirectory = NO;
	if([[NSFileManager defaultManager] fileExistsAtPath:path isDirectory:&isDirectory])
	{
		if(isDirectory)
		{
			return @"ZEditDirectoryDocument";
		}
	}
	return @"ZEditTextDocument";
}
@end
