//
//  ZEditFileSystemItem.h
//  ZEdit
//
//  Created by 増田 勇樹 on 07/03/11.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "ZFileSystemItem.h"

@class ZEditDocument, ZEditWindowController;

@interface ZEditFileSystemItem : ZFileSystemItem
{
	ZEditDocument *_document;
	ZEditWindowController *_sharedWindowController;
}

- (void)setSharedWindowController:(ZEditWindowController *)windowController;
- (ZEditWindowController *)sharedWindowController;

- (NSArray *)unsavedTextDocuments;
- (NSArray *)openedTextDocuments;

- (void)closeAllDocuments;

- (void)setDocument:(ZEditDocument *)document;
- (ZEditDocument *)document;
- (ZEditDocument *)documentWithError:(NSError **)error;
@end
