//
//  ZModeLoader.h
//  ZEdit
//
//  Created by 増田 勇樹 on 08/11/04.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class ZMode;

@interface ZModeLoader : NSObject
{
	NSArray *_modes;
	NSDictionary *_syntaxDescriptions;
	NSDictionary *_commands;
}

+ (ZModeLoader *)sharedModeLoader;

@property(retain, readonly) NSArray *modes;

- (NSDictionary *)syntaxDescriptionForMode:(ZMode *)mode;
- (NSArray *)scriptsForMode:(ZMode *)mode;
@end
