//
//  ZParenthesisAction.m
//  ZEdit
//
//  Created by 増田 勇樹 on 08/10/11.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "ZParenthesisAction.h"

#import "ZSyntax.h"
#import "ZParseTree.h"

NSString *parenthesisAttributeName = @"parenthesisAttribute";

@implementation ZParenthesisAction
+ (ZParenthesisAction *)action
{
	return [[[ZParenthesisAction alloc] init] autorelease];
}

@synthesize isEnd = _isEnd, correspond = _correspond;

- (void)runWithTree:(ZParseTree *)tree range:(NSRange)range context:(void *)context
{
	NSDictionary *args = context;
	NSMutableAttributedString *as = [args valueForKey:ActionContextStringKey];
	
	ParenthesisAttribute *att = [ParenthesisAttribute attributeWithAction:self];
	[as addAttribute:parenthesisAttributeName value:att range:range];
}
@end


@implementation ParenthesisAttribute : NSObject
+ (ParenthesisAttribute *)attributeWithAction:(ZParenthesisAction *)action
{
	ParenthesisAttribute *new = [[[self alloc] init] autorelease];
	[new setAction:action];
	return new;
}

@synthesize action = _action;
@end