//
//  ZParser.h
//  ZEdit
//
//  Created by 増田 勇樹 on 08/10/09.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class ZParseTree, ZStringEdit;

typedef enum
{
	ReparseSucceed,
	ReparseFailed,
	ReparseShifted
} ReparseResult;

@interface ZParser : NSObject
{
	NSString *_trigger;
	NSMutableArray *_actions;
}

@property(retain) NSString *trigger;
@property(retain) NSMutableArray *actions;

- (ZParseTree *)parse:(unichar *)characters length:(unsigned int)length triggerRange:(NSRange)triggerRange;

- (ReparseResult)reparse:(ZParseTree *)tree
				 edit:(ZStringEdit *)edit
				 newCharacters:(unichar *)newCharacters
				 length:(unsigned int)length
				 changedRange:(NSRange *)changedRange;
@end


void ZExtendRange(NSRange *r1, NSRange r2);