//
//  ZStack.m
//  ZAppkitTest
//
//  Created by 増田 勇樹 on 06/01/31.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import "ZStack.h"


@implementation ZStack
+ (ZStack *)stack
{
	return [[[ZStack alloc] init] autorelease];
}

- (id)init
{
	self = [super init];
	if(self != nil)
	{
		_array = [[NSMutableArray array] retain];
	}
	return self;
}

- (void)dealloc
{
	[_array release];
	[super dealloc];
}

- (void)push:(id)object
{
	[_array addObject:object];
}

- (id)pop
{
	if([_array count] > 0)
	{
		id object = [[[_array lastObject] retain] autorelease];
		[_array removeLastObject];
		return object;
	}
	else
	{
		return nil;
	}
}

- (id)peep
{
	return [_array lastObject];
}

- (unsigned int)count
{
	return [_array count];
}

- (void)removeAllObjects
{
	[_array removeAllObjects];
}
@end
