//
//  ZStatusBarTextFieldCell.m
//  ZEdit
//
//  Created by 増田 勇樹 on 07/03/01.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "ZStatusBarTextFieldCell.h"


@implementation ZStatusBarTextFieldCell
- (void)drawWithFrame:(NSRect)frame inView:(NSView *)controlView
{
	NSImage *bgImage = [NSImage imageNamed:@"toolbarButton"];
	NSRect imageRect;
	imageRect.origin = NSZeroPoint;
	imageRect.size = [bgImage size];
	[bgImage drawInRect:frame
			 fromRect:imageRect
			 operation:NSCompositeSourceOver
			 fraction:1.0];
	if([self isHighlighted])
	{
		[[NSColor colorWithCalibratedWhite:0 alpha:0.25] set];
		[NSBezierPath fillRect:frame];
	}
	[[NSColor colorWithCalibratedWhite:0.7 alpha:1] set];
	NSFrameRect(frame);
	
	NSSize drawSize = [[self attributedStringValue] boundingRectWithSize:frame.size options:0].size;
	frame.origin.y += (frame.size.height - drawSize.height) / 2;
	frame.size.height = drawSize.height;
	frame.origin.x += 10;
	frame.size.width -= 20;
	[self drawInteriorWithFrame:frame inView:controlView];
}
@end
