//
//  ZTaskRunner.h
//  ZEdit
//
//  Created by 増田 勇樹 on 08/11/05.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface ZTaskRunner : NSObject 
{

}
- (id)init;

@property (retain) NSString *launchPath;
@property (retain) NSArray *arguments;
@property (retain) NSDictionary *environments;
@property (retain) NSString *currentDirectoryPath;

@property (assign) BOOL outputIncludesError;

- (id)runWithInput:(NSString *)input output:(NSString **)output;
- (id)runWithInputFromConsoleWithOutput:(NSString **)output;
- (id)runWithOutputToConsoleWithInput:(NSString *)input;
- (id)runInConsole;
@end
