//
//  ZBindingManager.h
//  ZEdit
//
//  Created by 増田 勇樹 on 08/10/10.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface ZBindingManager : NSObject
{
	id _object;
	NSString *_keyPath;
	
	id _bindingTarget;
	NSString *_bindingTargetKeyPath;
	NSDictionary *_bindingOptions;
}
+ (ZBindingManager *)managerForObject:(id)object keyPath:(NSString *)keyPath;
- (id)initForObject:(id)object keyPath:(NSString *)keypath;

- (void)bindToObject:(id)observableController
		withKeyPath:(NSString *)keyPath
		options:(NSDictionary *)options;

- (void)unbind;
@end
