//
//  ZColorAction.h
//  ZEdit
//
//  Created by 増田 勇樹 on 08/10/09.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "ZParseTreeAction.h"

@interface ZColorAction : NSObject <ZParseTreeAction>
{
	NSColor *_color;
	NSString *_colorName;
	
	NSColor *_bgColor;
	NSString *_bgColorName;
}

+ (ZColorAction *)actionWithColorString:(NSString *)colorString;
+ (ZColorAction *)actionWithColorString:(NSString *)colorString bgColorString:(NSString *)bgColorString;

- (id)initWithColorString:(NSString *)colorString bgColorString:(NSString *)bgColorString;
@end
