//
//  ZEncodingNameUnarchiver.m
//  ZEdit
//
//  Created by 増田 勇樹 on 08/10/25.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "ZEncodingNameUnarchiver.h"
#import "NSString-ZEditExtension.h"

@implementation ZEncodingNameUnarchiver
+ (Class)transformedValueClass
{
	return [NSArray class];
}

- (id)transformedValue:(id)value
{
	return [NSString localizedNameOfStringEncoding:[value intValue]];
}

- (id)reverseTransformedValue:(NSString *)value
{
	return [NSNumber numberWithInt:[NSString stringEncodingForLocalizedName:value]];
}
@end
