//
//  ZKeywordParser.m
//  ZEdit
//
//  Created by 増田 勇樹 on 08/10/09.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "ZKeywordParser.h"

#import "ZParseTree.h"
#import "ZParseTreeAction.h"

@implementation ZKeywordParser
+ (ZKeywordParser *)parserWithRegex:(NSString *)regex
{
	return [[[ZKeywordParser alloc] initWithRegex:regex] autorelease];
}

- (id)initWithRegex:(NSString *)regex
{
	self = [super init];
	if(self != nil)
	{
		[self setTrigger:regex];
	}
	return self;
}

- (ZParseTree *)parse:(unichar *)characters length:(unsigned int)length triggerRange:(NSRange)triggerRange
{
	ZParseTree *tree = [ZParseTree treeWithParser:self];
	[tree setRange:triggerRange];
	[tree setTriggerLength:triggerRange.length];
	return tree;
}
@end
