//
//  ZModeMenuController.m
//  ZEdit
//
//  Created by 増田 勇樹 on 08/10/24.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "ZModeMenuController.h"
#import "ZMode.h"

@implementation ZModeMenuController
- (void)menuNeedsUpdate:(NSMenu *)menu
{
	if([menu numberOfItems] == 0)
	{
		NSArray *modeNames = [[ZMode modes] valueForKey:@"name"];
		int i;
		for(i = 0; i < [modeNames count]; i++)
		{
			if(i == 1)
			{
				[menu addItem:[NSMenuItem separatorItem]];
			}
			NSString *name = [modeNames objectAtIndex:i];
			NSMenuItem *item = [[[NSMenuItem alloc] initWithTitle:name action:@selector(changeMode:) keyEquivalent:@""] autorelease];
			[item setTag:i];
			[menu addItem:item];
		}
	}
}
@end
