//
//  ZModeTextView.h
//  sEdit
//
//  Created by 増田 勇樹 on 04/12/05.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class ZMode, ZBindingManager, ZSyntax;

#import "NSString-ZEditExtension.h"

@interface ZModeTextView : NSTextView
{
	ZMode *_mode;
	ZSyntax *_syntax;
	
	NSDictionary *_colors;
	BOOL _antialias;
	NSString *_statusBarMessage;
	
	ZBindingManager *_colorsBindingManager;
	ZBindingManager *_antialiasBindingManager;
	
	NSTimer *_waitLookup;
}

+ (NSDictionary *)defaultColors;

@property(retain) ZMode *mode;
@property(retain, readonly) ZSyntax *syntax;

@property(retain) NSDictionary *colors;
@property(assign) BOOL shouldAntialias;

@property(retain) NSString *statusBarMessage;
@end
