//
//  ZScript.h
//  ZEdit
//
//  Created by 増田 勇樹 on 08/11/04.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


typedef enum
{
	ZScriptIOTypeNone,
	ZScriptIOTypeFile,
	ZScriptIOTypeConsole,
	ZScriptIOTypeSelection
} ZScriptIOType;

@interface ZScript : NSObject
{
	NSString *_file;
	ZScriptIOType _inputIOType;
	ZScriptIOType _outputIOType;
}

- (id)initWithFile:(NSString *)file;

@property(retain, readonly) NSString *file;
@property(assign, readonly) ZScriptIOType inputIOType;
@property(assign, readonly) ZScriptIOType outputIOType;

- (void)run;
@end
