//
//  ZStringEdit.h
//  ZEdit
//
//  Created by 増田 勇樹 on 08/10/19.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ZStringEdit : NSObject
{
	NSRange _editedRange;
	NSInteger _changeInLength;
}

+ (ZStringEdit *)editInRange:(NSRange)range
				changeInLength:(NSInteger)changeInLength;

- (id)initWithEditedRange:(NSRange)range
	  changeInLength:(NSInteger)changeInLength;

@property (assign, readonly) NSRange editedRange;
@property (assign, readonly) NSInteger changeInLength;

- (NSRange)translatedRange:(NSRange)range;
@end
